kumquat-buildroot/package/chrony/S49chrony
Peter Korsgaard 85467bb616 chrony: S49chrony: fix starting message
Purely cosmetical. The OK/FAIL should go on the same line as "Starting ..".

Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2015-09-24 20:50:00 +02:00

27 lines
361 B
Bash
Executable File

#!/bin/sh
#
# Start chrony
[ -f /etc/chrony.conf ] || exit 0
case "$1" in
start)
echo -n "Starting chrony: "
chronyd && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping chrony: "
killall chronyd && echo "OK" || echo "FAIL"
;;
restart|reload)
"$0" stop
sleep 1
"$0" start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?